Package org.eclipse.jface.viewers

## Interface IToolTipProvider

All Known Implementing Classes:
  `CellLabelProvider`, `ColumnLabelProvider`, `DecoratingStyledCellLabelProvider`, `DelegatingStyledCellLabelProvider`, `ObservableMapCellLabelProvider`, `OwnerDrawLabelProvider`, `PropertyColumnLabelProvider`, `StyledCellLabelProvider`, `TreeColumnViewerLabelProvider`

    public interface IToolTipProvider

Interface to provide tool tip information for a given element.

Since:
  3.10
See Also:
  `CellLabelProvider`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getToolTipText​(Object element)` Get the text displayed in the tool tip for object.

### Method Detail

#### getToolTipText

    String getToolTipText​(Object element)

Get the text displayed in the tool tip for object.

Parameters:
  `element` - the element for which the tool tip is shown
Returns:
  the `String` or `null` if there is not text to display